From 43716a947469790613341b75b7829d47000d9838 Mon Sep 17 00:00:00 2001
From: Andrew Wafaa <awafaa@opensuse.org>
Date: Wed, 5 Feb 2014 15:33:31 +0000
Subject: [PATCH 1/1] Enable XENFS on ARMv7 and ARMv8

Signed-off-by: Andrew Wafaa <awafaa@opensuse.org>
---
 config/arm64/default    | 4 ++--
 config/armv7hl/default  | 4 ++--
 config/armv7hl/exynos   | 4 ++--
 config/armv7hl/lpae     | 4 ++--
 run_oldconfig.sh.GNWnpQ | 0
 5 files changed, 8 insertions(+), 8 deletions(-)
 create mode 100644 run_oldconfig.sh.GNWnpQ

diff --git a/config/arm64/default b/config/arm64/default
index 29eef98..16370ad 100644
--- a/config/arm64/default
+++ b/config/arm64/default
@@ -3087,8 +3087,8 @@ CONFIG_XEN_BALLOON=y
 CONFIG_XEN_SCRUB_PAGES=y
 CONFIG_XEN_DEV_EVTCHN=m
 CONFIG_PARAVIRT_XEN_BACKEND=y
-CONFIG_XENFS=m
-# CONFIG_XEN_COMPAT_XENFS is not set
+CONFIG_XENFS=y
+CONFIG_XEN_COMPAT_XENFS=y
 CONFIG_XEN_SYS_HYPERVISOR=y
 CONFIG_XEN_XENBUS_FRONTEND=y
 CONFIG_XEN_GNTDEV=m
diff --git a/config/armv7hl/default b/config/armv7hl/default
index 8b34ca2..930a56a 100644
--- a/config/armv7hl/default
+++ b/config/armv7hl/default
@@ -4847,8 +4847,8 @@ CONFIG_XEN_BALLOON=y
 CONFIG_XEN_SCRUB_PAGES=y
 CONFIG_XEN_DEV_EVTCHN=m
 CONFIG_PARAVIRT_XEN_BACKEND=y
-CONFIG_XENFS=m
-# CONFIG_XEN_COMPAT_XENFS is not set
+CONFIG_XENFS=y
+CONFIG_XEN_COMPAT_XENFS=y
 CONFIG_XEN_SYS_HYPERVISOR=y
 CONFIG_XEN_XENBUS_FRONTEND=y
 CONFIG_XEN_GNTDEV=m
diff --git a/config/armv7hl/exynos b/config/armv7hl/exynos
index 33c0c68..e8e02d2 100644
--- a/config/armv7hl/exynos
+++ b/config/armv7hl/exynos
@@ -4387,8 +4387,8 @@ CONFIG_XEN_BALLOON=y
 CONFIG_XEN_SCRUB_PAGES=y
 CONFIG_XEN_DEV_EVTCHN=m
 CONFIG_PARAVIRT_XEN_BACKEND=y
-CONFIG_XENFS=m
-# CONFIG_XEN_COMPAT_XENFS is not set
+CONFIG_XENFS=y
+CONFIG_XEN_COMPAT_XENFS=y
 CONFIG_XEN_SYS_HYPERVISOR=y
 CONFIG_XEN_XENBUS_FRONTEND=y
 CONFIG_XEN_GNTDEV=m
diff --git a/config/armv7hl/lpae b/config/armv7hl/lpae
index 52101fa..a808281 100644
--- a/config/armv7hl/lpae
+++ b/config/armv7hl/lpae
@@ -4600,8 +4600,8 @@ CONFIG_XEN_BALLOON=y
 CONFIG_XEN_SCRUB_PAGES=y
 CONFIG_XEN_DEV_EVTCHN=m
 CONFIG_PARAVIRT_XEN_BACKEND=y
-CONFIG_XENFS=m
-# CONFIG_XEN_COMPAT_XENFS is not set
+CONFIG_XENFS=y
+CONFIG_XEN_COMPAT_XENFS=y
 CONFIG_XEN_SYS_HYPERVISOR=y
 CONFIG_XEN_XENBUS_FRONTEND=y
 CONFIG_XEN_GNTDEV=m
diff --git a/run_oldconfig.sh.GNWnpQ b/run_oldconfig.sh.GNWnpQ
new file mode 100644
index 0000000..e69de29
-- 
1.8.3.4 (Apple Git-47)

